Get the certificates currently used by core and edge
get
Authorizations
defguard_sessionstringRequired
Responses
200
Certificates used by core and edge.
application/json
objectOptional
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
500
Unable to get certificates.
application/json
get/api/v1/core/cert/certs
GET /api/v1/core/cert/certs HTTP/1.1
Accept: */*
{
"core_http_cert_domain": "vpn.example.com",
"core_http_cert_expiry": "2027-08-04T10:00:00",
"core_http_cert_source": "SelfSigned",
"proxy_http_cert_domain": "vpn.example.com",
"proxy_http_cert_expiry": "2026-11-02T10:00:00",
"proxy_http_cert_source": "LetsEncrypt"
}PreviousGet the certificate of the internal certificate authorityNextSet up the certificate for the internal (core) URL
Last updated
Was this helpful?